Subject: Re: [clue] Capture ID scope in a Configure

From: "Roni Even" <[email-masked]>
Date: Thu, 25 Jul 2013 12:07:05 +0300

Hi Roberta,
In the capture encoding type there is a mediaCaptureID looking at you
example on configure it looks like it should have been captureIDREF element.
Roni 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Roberta Presta
> Sent: 03 April, 2013 8:22 PM
> To: [email-masked]
> Subject: Re: [clue] Capture ID scope in a Configure
> 
> Hi all,
> 
> it seems to me that capture scenes and capture scene entries are
semantical
> abstractions that are useful only to make a media provider able to show
the
> organization of the available media captures to the media consumer via an
> advertisement message.
> I don't believe they should be used within a configure message.
> The media consumer should specify only *capture encodings*, i.e., the
> associations of a media capture with an individual encoding with the
desired
> parameters.
> If the media consumer wants both VC1 encoded with ENC0 and VC1 encoded
> with ENC1, he should put in the configure message the specification of two
> capture encodings.
> <captureEncoding id=...>
>   <mediaCaptureID>VC1...
>   <encodingID>ENC1...
>   <encodingParameters>...
> If he wants all the captures within a capture scene, he should specify in
the
> configure a capture encoding for each capture of the scene, since he
should
> be forced to associate a desired encoding to each desired capture.
> Do you think this interpretation is correct?
> 
> Thanks,
> 
> Roberta
> 
> 
> 
> 
> 
> Il 02/04/2013 03:08, Christian Groves ha scritto:
> >
> >
> >> The "multiple encodings" aspect of media captures is designed to be
> >> orthogonal to media captures' presence in one or more CSEs - it may
> >> be valid to receive multiple encodings of a media capture even if it
> >> were present in just one capture scene or capture scene entry, for
> >> instance, and on the flip side, depending on the provider's
> >> advertisement, it may only be possible to receive a single encodings
> >> of a media capture which appears in multiple capture scene entries.
> > [CNG] I agree that the encodings is designed to be orthogonal but I
> > think that perhaps there needs to be a tie between then encoding and
> > the CSE/CaptureID. For example: as a provider I can see the case where
> > it offer CSE1,CaptureID1 which uses a high quality encoding or
> > CSE2,CaptureID1,CaptureID2 which uses a lower quality encoding.
> > Currently we have a link between the CaptureID and encoding. How does
> > it relate a CSE to a particular encoding instance when the CaptureID
> > is the same?
> >>
> >> >Now if a Consumer sends a configure in response wanting Scene 1 CSE
> >> 1 and Scene 2 CSE 1 how does it respond?
> >>
> >> To my mind, the phrasing is slightly misleading here in that it could
> >> be said that the Consumer doesn't really want "Scene 1 CSE 1" and
> >> "Scene 2 CSE 1" but in fact wants a single encoding or multiple
> >> encodings of the more fundamental "VC1", which it can put to whatever
> >> use, post decoding, that it chooses.
> > [CNG] OK.
> >>
> >> >a) Does it include only the CaptureIDs? i.e. VC1,VC3,VC4
> >>
> >> That's what I believe to be the answer to your question. As per the
> >> above, if it has multiple "uses" for VC1, perhaps a very high quality
> >> encoding to switch out to certain other consumers and a lower quality
> >> version to transcode (if it's a middle box, for instance) it may
> >> choose to use more than one of the provider's Individual Encodings
> >> for VC1, but fundamentally this can be considered orthogonal to the
> >> choice of which media captures are needed, or the reason, based on
> >> their CSE membership, why those media captures are being requested.
> > [CNG] Can it be completely orthogonal if a CSE is constructed based on
> > some encoding considerations?
> >>
> >> >In response to the Configure what does the Provider do? The consumer
> >> has indicated it wants two scenes and there's a duplicate of VC1.
> >> Should the provider send the SDP to establish only one RTP stream for
> >> VC1 or should it setup two RTP streams one for each scene?
> >>
> >> The idea behind the Encoding Group and Individual Encoding concepts
> >> was that the provider can be fairly dumb here, and need to take no
> >> view or action explicitly based on the "duplication" of VC1. SDP /
> >> RTP relationships should be made according to the encoding
> >> configuration, mostly determined by the consumer's configuration
> >> message. One RTP stream per configured encoding would seem fairly
> >> straightforward, but the multiplexing relationship of those streams
> >> with respect to "m lines", SSRCs, multiplex IDs within RTP extension
> >> headers hasn't, to my knowledge, been completely thrashed out to
> >> everyone's satisfaction as yet (though I am forced to confess to a
> >> certain amount of ignorance as to the latest state of this discussion).
> >>
> >> Regards,
> >>
> >> Andy
> >>
> >>
> >> On Thu, Mar 28, 2013 at 1:06 AM, Christian Groves
> >> <[email-masked]
> >> <mailto:[email-masked]>> wrote:
> >>
> >>     Hello,
> >>
> >>     >From the framework it seems that it is assumed CaptureIDs are
> >>     unique in an Advertisement and the same CaptureID can be used in
> >>     multiple scenes and CSEs. A captureID may have multiple encodings.
> >>
> >>     I.e.
> >>     Advertisement
> >>     VC1 (capture attributes 1)
> >>     VC2 (capture attributes 2)
> >>     VC3 (capture attributes 3)
> >>     VC4 (capture attributes 4)
> >>     Scene 1 (CSE1(VC1,VC3),CSE2(VC1,VC2))
> >>     Scene 2 (CSE1(VC1,VC4))
> >>
> >>     Now if a Consumer sends a configure in response wanting Scene 1
> >>     CSE 1 and Scene 2 CSE 1 how does it respond?
> >>     a) Does it include only the CaptureIDs? i.e. VC1,VC3,VC4
> >>     b) Does it include the complete reference? i.e.
> >>     Scene1(CSE1(VC1,VC3), Scene2(CSE1(VC1,VC4))
> >>     c) Both?
> >>     d) ?
> >>
> >>     In response to the Configure what does the Provider do? The
> >>     consumer has indicated it wants two scenes and there's a duplicate
> >>     of VC1. Should the provider send the SDP to establish only one RTP
> >>     stream for VC1 or should it setup two RTP streams one for each
> >> scene?
> >>
> >>     Any thoughts?
> >>
> >>     Regards, Christian
> >>     _______________________________________________
> >>     clue mailing list
> >>     [email-masked] <mailto:[email-masked]>
> >>     https://www.ietf.org/mailman/listinfo/clue
> >>
> >>
> >
> > _______________________________________________
> > clue mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/clue
> >
> 
> 
> --
> Roberta Presta, Ph.D. Student
> Dipartimento di Ingegneria Elettrica e delle Tecnologie dell'Informazione
> (DIETI) Universita' degli Studi di Napoli "Federico II"
> Via Claudio 21 -- 80125 Napoli (Italy)
> Phone: +390817683821 - Fax: +390817683816
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue